Loading...
Searching...
No Matches
MirMousePointerInterface Class Referenceabstract

The QML mouse pointer. More...

`#include <lomiri/shell/application/MirMousePointerInterface.h>`

Inheritance diagram for MirMousePointerInterface:
[legend]
Collaboration diagram for MirMousePointerInterface:
[legend]

## Public Member Functions

| MirMousePointerInterface (QQuickItem *parent=nullptr)
| The constructor.
virtual void | setCustomCursor (const QCursor &)=0
| Sets the custom cursor.

## Properties

QString | cursorName
| Name of the cursor Defines the look of the mouse pointer along with themeName.
QString | themeName
| Name of the cursor theme Defines the look of the mouse pointer along with cursorName Its default value is "default".

## Detailed Description

The QML mouse pointer.

FIXME: Get this out of lomiri-api

This QML item drives the position of the Mir mouse pointer on the scene

## Member Function Documentation

## setCustomCursor()

virtual void MirMousePointerInterface::setCustomCursor | ( | const QCursor & |  | ) |

pure virtual

Sets the custom cursor.

If it's not a pixmap cursor it will be ignored.

To use it, cursorName must be set to "custom". themeName is ignored in this case.

The documentation for this class was generated from the following file:

- include/lomiri/shell/application/MirMousePointerInterface.h